%global 	dist .el8.sw

Summary:	A small and fast vocabulary trainer.
Name:		vocatra
Version:	0.5.1
Release:	1%{?dist}
License:	GPL v2 or later
Group:		Applications/Text
Source:		%{name}-%{version}.tar.gz
Patch0:         %{name}-%{version}.patch
URL:		http://vocatra.esite.ch
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
Vocatra is a console-based vocabulary trainer.
It takes one or more vocabulary files,
queries you for each word, and lets you try to give the correct answer.
You can enable different learning modes.
If you prefer to learn sequentially it has an order mode.
Otherwise, there is also a random mode available.

%prep
%setup -q
%patch0 -p1

%build
%configure --host=%{_host} --build=%{_build} --target=%{_target_platform} --prefix=%{_prefix} --mandir=\$${prefix}/share/man --infodir=\$${prefix}share/info

make

%install
rm -rf %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog
%{_bindir}/*
%{_mandir}/man1/*
%{_prefix}/share/locale/de/LC_MESSAGES/*

%changelog
* Sun Aug 25 2008 Oliver Sauder
- Initial RPM release.


